# $Revision: 1.120.2.3 $, $Date: 2006/10/02 17:18:29 $
#
# Conditional build:
%bcond_without	x11	# without X11-based utilities
#
Summary:	Heimdal implementation of Kerberos V5 system
Summary(pl):	Implementacja Heimdal systemu Kerberos V5
Name:		heimdal
Version:	0.7.2
Release:	4
License:	Free
Group:		Networking
Source0:	ftp://ftp.pdc.kth.se/pub/heimdal/src/%{name}-%{version}.tar.gz
# Source0-md5:	c937580d6f8b11bf7f0e540530e1dc18
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}.sysconfig
Source4:	%{name}-krb5.conf
Source5:	%{name}-ftpd.inetd
Source6:	%{name}-rshd.inetd
Source7:	%{name}-telnetd.inetd
Source8:	%{name}-kadmind.inetd
Source9:	%{name}-kpasswdd.init
Source10:	%{name}-kpasswdd.sysconfig
Patch0:		%{name}-paths.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-am_man_fixes.patch
Patch3:		%{name}-amfix.patch
Patch4:		%{name}-dbpaths.patch
Patch5:		%{name}-system-comm_err.patch
Patch6:		%{name}-acfixes.patch
Patch7:		%{name}-no-editline.patch
Patch8:		%{name}-gcc4.patch
Patch9:		%{name}-db4.patch
Patch10:	%{name}-libadd.patch
Patch11:	ftp://ftp.pdc.kth.se/pub/heimdal/src/%{name}-0.7.2-setuid-patch.txt
URL:		http://www.pdc.kth.se/heimdal/
%{?with_x11:BuildRequires:	XFree86-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	flex
BuildRequires:	libcom_err-devel >= 1.34-5
BuildRequires:	libtool
BuildRequires:	mawk
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires:	%{name}-libs = %{version}-%{release}
Conflicts:	krb5-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib/%{name}
%define		_sysconfdir	/etc/%{name}

%description
Heimdal is a free implementation of Kerberos 5. The goals are to:
- have an implementation that can be freely used by anyone
- be protocol compatible with existing implementations and, if not in
  conflict, with RFC 1510 (and any future updated RFC)
- be reasonably compatible with the M.I.T Kerberos V5 API
- have support for Kerberos V5 over GSS-API (RFC1964)
- include the most important and useful application programs (rsh,
  telnet, popper, etc.)
- include enough backwards compatibility with Kerberos V4
- IPv6 support

%description -l pl
Heimdal jest darmow implementacj Kerberosa 5. Gwne zalety to:
- implementacja, ktra moe by uywana przez kadego
- kompatybilno na poziomie protokou z istniejcymi implementacjami
- racjonalna kompatybilno z M.I.T Kerberos V5 API
- wsparcie dla Kerberosa 5 poprzez GSS-API (RFC1964)
- zawiera wikszo istotnych i uytecznych aplikacji (rsh, telnet,
  popper, etc.)
- zawiera wystarczajc kompatybilno z Kerberos V4
- wsparcie dla IPv6

%package server
Summary:	Kerberos Server
Summary(pl):	Serwer Kerberosa
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts

%description server
Master KDC.

%description server -l pl
Gwne centrum dystrybucji kluczy (KDC).

%package libs
Summary:	Heimdal shared libraries
Summary(pl):	Biblioteki wspdzielone dla heimdal
Group:		Libraries
Requires(post,postun):	/sbin/ldconfig

%description libs
Package contains shared libraries required by several of the other
heimdal packages.

%description libs -l pl
Pakiet zawiera biblioteki wspdzielone dla heimdal.

%package login
Summary:	login is used when signing onto a system
Summary(pl):	Narzdzie do logowania w systemie
Group:		Applications/Networking
Requires:	%{name}-libs = %{version}-%{release}
#Provides:	login
#Obsoletes:	login

%description login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however). This package
contain kerberized version login program.

%description login -l pl
login jest uywany przy logowaniu do systemu. Moe by take uyty do
przeczenia z jednego uytkownika na innego w dowolnej chwili
(wikszo wspczesnych shelli ma wbudowan obsug tego). Ten pakiet
zawiera skerberyzowan wersj programu login.

%package ftp
Summary:	The standard UNIX FTP (file transfer protocol) client
Summary(pl):	Klient protokou FTP
Group:		Applications/Networking
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	ftp
Conflicts:	heimdal-clients

%description ftp
The FTP package provides the standard UNIX command-line FTP client
with kerberos authentication support. FTP is the file transfer
protocol, which is a widely used Internet protocol for transferring
files and for archiving files.

%description ftp -l pl
Ten pakiet dostarcza standardowego klienta FTP z wbudowan obsug
kerberosa. FTP jest protokoem do przesyania plikw szeroko
rozpowszechnionym w Internecie.

%package rsh
Summary:	Clients for remote access commands (rsh, rlogin, rcp)
Summary(pl):	Klient zdalnego dostpu (rsh, rlogin, rcp)
Group:		Applications/Networking
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	rsh
Conflicts:	heimdal-clients

%description rsh
The rsh package contains a set of programs which allow users to run
commands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp). All three of these commands
use rhosts style authentication. This package contains the clients
needed for all of these services.

%description rsh -l pl
Ten pakiet zawiera zestaw narzdzi pozwalajcych na wykonywanie
polece na zdalnych maszynach, logowanie na inne maszyny oraz
kopiowanie plikw pomidzy maszynami (rsh, rlogin, rcp).

%package telnet
Summary:	Client for the telnet remote login
Summary(pl):	Klient usugi telnet
Group:		Applications/Networking
Requires:	%{name}-libs = %{version}-%{release}
Provides:	telnet
Obsoletes:	telnet
Conflicts:	heimdal-clients

%description telnet
Telnet is a popular protocol for remote logins across the Internet.
This package provides a command line telnet client.

%description telnet -l pl
Telnet jest popularnym protokoem zdalnego logowania. Ten pakiet
zawiera klienta tej usugi.

%package ftpd
Summary:	The standard UNIX FTP (file transfer protocol) server
Summary(pl):	Serwer FTP
Group:		Networking/Daemons
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Obsoletes:	ftpd

%description ftpd
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

%description ftpd -l pl
FTP jest protokoem transmisji plikw szeroko rozpowszechnionym w
Internecie.

%package rshd
Summary:	Server for remote access commands (rsh, rlogin, rcp)
Summary(pl):	Serwer zdalnego dostpu (rsh, rlogin, rcp)
Group:		Networking/Daemons
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Obsoletes:	rshd

%description rshd
The rsh package contains a set of programs which allow users to run
commmands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp). All three of these commands
use rhosts style authentication. This package contains servers needed
for all of these services.

%description rshd -l pl
Ten pakiet zawiera zestaw serwerw pozwalajcych na wykonywanie
polece na zdalnych maszynach, logowanie na inne maszyny oraz
kopiowanie plikw pomidzy maszynami (rsh, rlogin, rcp).

%package telnetd
Summary:	Server for the telnet remote login
Summary(pl):	Serwer protokou telnet
Group:		Networking/Daemons
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Obsoletes:	telnetd

%description telnetd
Telnet is a popular protocol for remote logins across the Internet.
This package provides a telnet daemon which allows remote logins into
the machine it is running on.

%description telnetd -l pl
Telnet jest popularnym protokoem zdalnego logowania. Ten pakiet
zawiera serwer pozwalajcy na zdalne logowanie si klientw na maszyn
na ktrej dziaa.

%package daemons
Summary:	Kerberos daemons programs for use on servers
Summary(pl):	Serwery popularnych usug, autoryzujce przy pomocy kerberosa
Group:		Networking
Requires:	%{name}-libs = %{version}-%{release}

%description daemons
Kerberos Daemons.

%description daemons -l pl
Demony korzystajce z systemu Kerberos do autoryzacji dostpu.

%package devel
Summary:	Header files for heimdal
Summary(pl):	Pliki nagwkowe i dokumentacja do bibliotek heimdal
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	db-devel
Requires:	libcom_err-devel >= 1.34-5
Requires:	openssl-devel

%description devel
contains files needed to compile and link software using the kerberos
libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek heimdal.

%package static
Summary:	Static heimdal libraries
Summary(pl):	Biblioteki statyczne heimdal
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Satatic heimdal libraries.

%description static -l pl
Biblioteki statyczne heimdal.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal} -I cf
%{__autoconf}
%{__automake}
# glibc glob() has no support to GLOB_QUOTE and GLOB_LIMIT/GLOB_MAXPATH
# rename internal libroken glob/globfree
export CPPFLAGS="-Dglob=heimdal_glob -Dglobfree=heimdal_globfree"
%configure \
	--enable-shared \
	--enable-static \
	--enable-new-des3-code \
	--with-openldap=/usr \
	--with-readline=/usr \
		--with%{!?with_x11:out}-x \
	--with-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_localstatedir},%{_sysconfdir}} \
	$RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,logrotate.d,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

libtool --mode=install install appl/su/su $RPM_BUILD_ROOT%{_bindir}/ksu
install appl/su/su.1  $RPM_BUILD_ROOT%{_mandir}/man1/ksu.1

install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/krb5.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rshd
install %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/telnetd
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/kadmind

install %{SOURCE9} $RPM_BUILD_ROOT/etc/rc.d/init.d/kpasswdd
install %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/kpasswdd

# other implementation exists in e2fsprogs (conflict with e2fsprogs-devel)
rm -rf $RPM_BUILD_ROOT{%{_libdir}/libss.so,%{_includedir}/ss}
# this is created because glibc's <glob.h> has no GLOB_LIMIT and GLOB_QUOTE
rm -f $RPM_BUILD_ROOT%{_includedir}/glob.h

touch $RPM_BUILD_ROOT{%{_sysconfdir}/krb5.keytab,%{_localstatedir}/kadmind.acl}

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add heimdal
%service heimdal restart "heimdal daemon"

/sbin/chkconfig --add kpasswdd
%service kpasswdd restart "heimdal password changing daemon"

%service -q rc-inetd reload

%preun server
if [ "$1" = "0" ]; then
	%service heimdal stop
	/sbin/chkconfig --del heimdal

	%service kpasswdd stop
	/sbin/chkconfig --del kpasswdd

	%service -q rc-inetd reload
fi

%post ftpd
%service -q rc-inetd reload

%postun ftpd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post rshd
%service -q rc-inetd reload

%postun rshd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post telnetd
%service -q rc-inetd reload

%postun telnetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post libs
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun libs
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/afslog
%attr(755,root,root) %{_bindir}/kauth
%attr(755,root,root) %{_bindir}/kdestroy
%attr(755,root,root) %{_bindir}/kf
%attr(755,root,root) %{_bindir}/kgetcred
%attr(755,root,root) %{_bindir}/kinit
%attr(755,root,root) %{_bindir}/klist
%attr(755,root,root) %{_bindir}/kpasswd
%attr(755,root,root) %{_bindir}/pagsh
%attr(755,root,root) %{_bindir}/pfrom
%attr(755,root,root) %{_bindir}/string2key
%attr(755,root,root) %{_bindir}/otpprint
%attr(755,root,root) %{_bindir}/verify_krb5_conf
%attr(755,root,root) %{_sbindir}/ktutil
%if %{with x11}
%attr(755,root,root) %{_bindir}/kx
%attr(755,root,root) %{_bindir}/tenletxr
%attr(755,root,root) %{_bindir}/xnlock
%attr(755,root,root) %{_bindir}/rxtelnet
%attr(755,root,root) %{_bindir}/rxterm
%endif

%attr(4755,root,root) %{_bindir}/otp
%attr(4755,root,root) %{_bindir}/ksu

%{_mandir}/man1/afslog.1*
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kf.1*
%{_mandir}/man1/kgetcred.1*
%{_mandir}/man1/kinit.1*
%{_mandir}/man1/klist.1*
%{_mandir}/man1/kpasswd.1*
%{_mandir}/man1/ksu.1*
%{_mandir}/man1/otp.1*
%{_mandir}/man1/otpprint.1*
%{_mandir}/man1/pagsh.1*
%{_mandir}/man1/pfrom.1*
%{_mandir}/man8/ktutil.8*
%{_mandir}/man8/string2key.8*
%{_mandir}/man8/verify_krb5_conf.8*

%if %{with x11}
%{_mandir}/man1/kx.1*
%{_mandir}/man1/tenletxr.1*
%{_mandir}/man1/xnlock.1*
%{_mandir}/man1/rxtelnet.1*
%{_mandir}/man1/rxterm.1*
%endif

%files server
%defattr(644,root,root,755)
%doc NEWS TODO

%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(754,root,root) /etc/rc.d/init.d/kpasswdd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/heimdal
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/kpasswdd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/kadmind

%attr(700,root,root) %dir %{_localstatedir}
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/*

%attr(755,root,root) %{_sbindir}/dump_log
%attr(755,root,root) %{_sbindir}/kadmin
%attr(755,root,root) %{_sbindir}/kfd
%attr(755,root,root) %{_sbindir}/kstash
%attr(755,root,root) %{_sbindir}/replay_log
%attr(755,root,root) %{_sbindir}/hprop
%attr(755,root,root) %{_sbindir}/hpropd
%attr(755,root,root) %{_sbindir}/ipropd-master
%attr(755,root,root) %{_sbindir}/ipropd-slave
%attr(755,root,root) %{_sbindir}/kadmind
%attr(755,root,root) %{_sbindir}/kdc
%attr(755,root,root) %{_sbindir}/kpasswdd
%attr(755,root,root) %{_sbindir}/push
%attr(755,root,root) %{_sbindir}/truncate_log
%{?with_x11:%attr(755,root,root) %{_sbindir}/kxd}

%{_mandir}/man8/iprop.8*
%{_mandir}/man8/hprop.8*
%{_mandir}/man8/hpropd.8*
%{_mandir}/man8/kadmin.8*
%{_mandir}/man8/kadmind.8*
%{_mandir}/man8/kdc.8*
%{_mandir}/man8/kfd.8*
%{_mandir}/man8/kpasswdd.8*
%{_mandir}/man8/kstash.8*
%{?with_x11:%{_mandir}/man8/kxd.8*}
%{_mandir}/man8/push.8*

%files libs
%defattr(644,root,root,755)
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/krb5.conf
%attr(400,root,root) %ghost %{_sysconfdir}/krb5.keytab
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%{_infodir}/heimdal.info*
%{_mandir}/man5/krb5.conf.5*
%{_mandir}/man8/kerberos.8*

%files login
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/login
%{_mandir}/man1/login.1*
# conflicts with shadow
#%{_mandir}/man5/login.access.5*

%files ftp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ftp
%{_mandir}/man1/ftp.1*

%files rsh
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rsh
%attr(755,root,root) %{_bindir}/rcp
%{_mandir}/man1/rsh.1*

%files telnet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/telnet
%{_mandir}/man1/telnet.1*

%files ftpd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpd
%attr(755,root,root) %{_sbindir}/ftpd
%{_mandir}/man5/ftpusers.5*
%{_mandir}/man8/ftpd.8*

%files rshd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rshd
%attr(755,root,root) %{_sbindir}/rshd
%{_mandir}/man8/rshd.8*

%files telnetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/telnetd
%attr(755,root,root) %{_sbindir}/telnetd
%{_mandir}/man8/telnetd.8*

%files daemons
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/popper
%{_mandir}/man8/popper.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krb5-config
# conflicts with e2fsprogs
#%attr(755,root,root) %{_bindir}/mk_cmds
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man1/krb5-config.1*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: heimdal.spec,v $
Revision 1.120.2.3  2006/10/02 17:18:29  glen
- merge from HEAD:
 - added setuid-patch from vendor (CVE-2006-3083 CVE-2006-3084)
 - added libadd patch
- rel 4

Revision 1.120.2.2  2006/05/21 16:27:15  glen
- missing patch9 (db4)

Revision 1.120.2.1  2006/05/21 16:01:27  glen
- merge changes from HEAD; rel 2

Revision 1.120  2006/02/08 20:18:19  qboosh
- updated to 0.7.2 (fixes CVE-2006-0582 and telnetd DoS [CVE-2006-0677])

Revision 1.119  2006/02/05 20:23:23  areq
- fix without X11

Revision 1.118  2006/01/17 12:21:42  baggins
- release 4
- BR openldap >= 2.3

Revision 1.117  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.116  2005/11/22 17:18:58  pluto
- release 3 for Th (rebuild with db4.4).

Revision 1.115  2005/10/12 11:02:45  pluto
- remove empty usr/include/ss dir.

Revision 1.114  2005/09/23 21:50:00  pluto
- bump release for rebuild openldap/heimdal/cyrus/postrgesql/cvs loop.

Revision 1.113  2005/09/21 20:09:30  qboosh
- updated to 0.7.1 (bug fixes)

Revision 1.112  2005/09/17 10:10:32  arekm
- ups, 5.0

Revision 1.111  2005/09/17 10:06:31  arekm
- rebuild with readline 5.0

Revision 1.110  2005/07/03 17:34:15  arekm
- up to 0.7

Revision 1.109  2005/06/28 11:45:52  qboosh
- typo

Revision 1.108  2005/06/27 21:03:16  qboosh
- added CAN note to previous commit message

Revision 1.107  2005/06/27 15:59:28  undefine
- up to 0.6.5, bugfix release
  [fixes CAN-2005-2040]

Revision 1.106  2005/05/15 21:39:17  undefine
- kpasswdd daemon
- typo
- rel 3

Revision 1.105  2005/05/15 04:50:31  aredridel
- heimdal-ftp obsoletes ftp

Revision 1.104  2005/05/09 23:17:26  wiget
- %debug ready glob rename

Revision 1.103  2005/04/25 11:02:48  wiget
- rename libroken internal glob/globfree to heimdal_glob/heimdal_globfree (fixes sig11 in racoon)
- release 2

Revision 1.102  2005/04/23 18:13:52  qboosh
- updated to 0.6.4 (fixes telnet vulnerabilities and other bugs)

Revision 1.101  2005/03/21 18:32:23  mmazur
- rel 5 for th

Revision 1.100  2005/03/21 18:22:42  mmazur
- Req from db-* not dbX.Y-* (dbX.Y.spec's provide db-*)

Revision 1.99  2005/03/19 23:47:03  mmazur
- rel 4; added gcc4 patch; damn djurban

Revision 1.98  2005/03/19 20:49:42  mmazur
- rel 3 for th

Revision 1.97  2005/03/19 20:39:52  adgor
- Fixed R for -devel

Revision 1.96  2005/03/19 17:47:53  mmazur
- BR: db4.3-devel

Revision 1.95  2005/03/10 21:10:33  qboosh
- added no-editline patch, release 2

Revision 1.94  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.93  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.92  2004/09/26 21:34:30  kolodko
- added macros in /etc/logrotate.d

Revision 1.91  2004/09/15 21:51:34  qboosh
- updated to 0.6.3 (includes fix for ftpd vulnerability)

Revision 1.90  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.89  2004/05/13 19:25:46  qboosh
- updated to 0.6.2 (fixes CAN-2004-0434)

Revision 1.88  2004/05/13 16:36:02  undefine
- release 6 for AC

Revision 1.87  2004/05/13 16:33:54  undefine
- don't include /usr/bin/su. It's stupid and break many things. There is a
  /usr/bin/ksu already
- release 5

Revision 1.86  2004/04/29 10:17:10  adgor
- Strict internal deps

Revision 1.85  2004/04/28 19:51:26  undefine
- release 4 for AC

Revision 1.84  2004/04/07 09:21:46  arekm
- rel 2; rebuild

Revision 1.83  2004/04/03 07:16:04  aredridel
- revert

Revision 1.82  2004/04/03 05:55:50  aredridel
- make login manpage not conflict

Revision 1.81  2004/04/03 05:36:33  aredridel
- removed Provides and Obsoletes from login -- they do very different things!

Revision 1.80  2004/04/03 05:30:58  aredridel
- up to 0.6.1

Revision 1.79  2004/04/02 19:05:25  qboosh
- updated to 0.6.1, updated amfix,dbpaths,acfixes patches
- removed obsolete gcc33,db41,config-section,sasl-external patches
- added link patch to fix libroken linking (missing -lcrypt)

Revision 1.78  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.77  2004/03/16 09:36:08  wrobell
- rel. 9 to rebuild with new openldap on nest builders

Revision 1.76  2004/01/30 13:40:14  jajcus
- Release: 8
- acinclude.m4 removed (it only contains underquoted copy of "upcase"
  definition from cf/misc.m4)

Revision 1.75  2004/01/02 20:17:25  twittner
- provides telnet

Revision 1.74  2003/12/20 19:41:28  qboosh
- bcond description

Revision 1.73  2003/12/20 17:15:49  arekm
- bcond_without x11 added

Revision 1.72  2003/12/02 09:04:36  tiwek
- release++ for rebuild with db-4.2

Revision 1.71  2003/11/12 17:37:04  aredridel
- add ldap backend upport
- patch from http://www.stacken.kth.se/lists/heimdal-discuss/2003-05/msg00040.html

Revision 1.70  2003/10/18 08:54:51  qboosh
- -devel R: db-devel, openssl-devel

Revision 1.69  2003/10/16 21:26:35  qboosh
- BR: readline-devel; base R: -libs

Revision 1.68  2003/10/16 20:08:41  arekm
- rel 5

Revision 1.67  2003/10/16 19:04:48  qboosh
- added acfixes patch (bugs in -lcom_err and fnmatch.h checks)
- added /usr to --with-readline (fixes readline detection)
- removed netinfo comments (netinfo is users database under Darwin/MacOS)

Revision 1.66  2003/10/13 14:28:18  arekm
- don't crash on bad config

Revision 1.65  2003/10/12 13:40:40  arekm
- rel 3

Revision 1.64  2003/10/09 19:33:37  qboosh
- typo, removed junk (backup files) from dbpaths patch

Revision 1.63  2003/10/09 14:49:52  qboosh
- updated -devel dependency (s/e2fsprogs-devel/libcom_err-devel/)

Revision 1.62  2003/10/09 00:55:37  wiget
- allow building with system libcomm_err

Revision 1.61  2003/10/05 17:39:37  pius
- added BuildRequires: bison

Revision 1.60  2003/08/26 03:37:02  aredridel
- no longer needed to compile against e2fsprogs com_err

Revision 1.59  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.58  2003/08/12 03:54:31  aredridel
- removed fnmatch.h

Revision 1.57  2003/08/12 03:53:58  aredridel
- removed ss.h

Revision 1.56  2003/08/12 03:50:02  aredridel
- patched to build with e2fsprogs compile_et/com_err

Revision 1.55  2003/08/11 05:45:39  aredridel
- release 2

Revision 1.54  2003/08/11 05:45:20  aredridel
- removed com_err
- requires e2fsprogs-devel for compile_et and ss.h
- requires e2fsprogs for com_err

Revision 1.53  2003/07/27 20:21:12  aredridel
- added patch to fix dbpath into /var/lib/heimdal completely

Revision 1.52  2003/07/26 12:04:27  qboosh
- updated to 0.6
- updated paths,am_man_fixes patches, added amfix,gcc33,db41 patches
- updated files lists
- changed _localstate dir from /var/heimdal to FHS-compliant /var/lib/heimdal

Revision 1.51  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.50  2003/05/25 05:48:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/03/22 19:11:25  kloczek
- start update to 0.5.2,
- partialy updated %files,
- added am_man_fixes aptch for use .so roff includes instead symlinks between
  man pages.

Revision 1.48  2002/11/27 21:10:38  juandon
- new %doc

Revision 1.47  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.46  2002/09/20 07:50:05  kloczek
- start update to 0.5,
- added am_fixes patch.

Revision 1.45  2002/04/25 16:33:29  arturs
- fixed a small typo

Revision 1.44  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/10/03 16:43:28  filon
- changed req %{name}-lib to %{name}-devel in static subpkg
- release 3

Revision 1.40  2001/09/24 13:47:45  qboosh
- adapterized

Revision 1.39  2001/09/24 13:44:35  qboosh
- server Prereq: /sbin/chkconfig
- the rest of pl translations
- release 2
  NOTE: IMO some descriptions should contain notice that kerberos is used

Revision 1.38  2001/09/07 22:14:14  kloczek
- updated to 0.4e.

Revision 1.37  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.36  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.34  2001/07/23 20:20:58  kloczek
- typo on removing glob.h.

Revision 1.33  2001/07/23 10:45:26  kloczek
- removed %{_includedir}/glob.h (another conflict with glibc-devel).

Revision 1.32  2001/07/23 09:12:36  kloczek
- added e2fsprogs-devel to Requires list in devel subpackage.

Revision 1.31  2001/07/23 09:10:54  kloczek
- remove libss.* files and header files for libss (we have this in e2fsprogs).

Revision 1.30  2001/07/20 03:41:36  kloczek
- updated to 0.4c,
- added info patch,
- updated %files.

Revision 1.29  2001/05/13 01:53:26  kloczek
- s/db2-devel/db3-devel/

Revision 1.28  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.27  2000/12/05 16:41:39  wiget
- fix %post/%postun scripts

Revision 1.26  2000/11/01 00:30:31  kloczek
- updated to 0.3c,
- use new rpm automation.

Revision 1.25  2000/09/06 10:14:35  kloczek
- added db2-devel and ncurses-devel >= 5.1 to BuildRequires.

Revision 1.24  2000/09/06 10:12:39  kloczek
- updated to 0.3b.

Revision 1.23  2000/07/12 22:20:13  waszi
- login package Provides: login

Revision 1.22  2000/06/09 07:54:42  kloczek
- more %{__make} macros.

Revision 1.21  2000/06/09 07:22:58  kloczek
- added using %{__make} macro.

Revision 1.20  2000/05/17 23:08:37  kloczek
- removed enable LDAP support in %configure (not work now).

Revision 1.19  2000/05/17 23:07:25  kloczek
- updated to 0.2t,
- spec adapterized.

Revision 1.18  2000/05/02 21:22:37  baggins
- fixed version, minor cleanup

Revision 1.17  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.16  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:30  baggins
- translated kloczkish into english

Revision 1.14  2000/03/21 01:57:09  kloczek
- updated to 0.2q,
- new Source url.

Revision 1.13  2000/03/17 10:28:36  kloczek
- added login subpackage,
- standarized %post, %preun for server subpackage,
- more BuildRequires,
- cosmetics.

Revision 1.12  2000/02/27 16:06:14  waszi
- partially rewrited

Revision 1.11  2000/02/13 13:32:07  kloczek
- start rewriting spec:
  - added separated clients packages: ftp, rsh and telnet,
  - added separated servers packages: ftpd, rshd and telnetd,
  - added passing LDFLAGS="-s" to ./configure enviroment,
  - added using %congfig macro and DESTDIR style %install.

Revision 1.10  2000/02/11 21:20:49  waszi
- removed uneeded patches

Revision 1.9  2000/02/11 06:06:32  kloczek
- Version to 0.2m,
- added Source url,
- added URL.

Revision 1.8  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.7  1999/09/19 09:41:26  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.6  1999/09/11 13:40:58  misiek
- fixed requires (PR#35)

Revision 1.5  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
